www.cendio.com
Bug 5041 - NoVNC toolbar image inputs lack alt attributes
: NoVNC toolbar image inputs lack alt attributes
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-03-26 14:42 by
Modified: 2014-04-02 09:14 (History)
Acceptance Criteria:


Attachments
Here's how it looks (214.12 KB, image/png)
2014-03-26 14:43, Karl Mikaelsson
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-03-26 14:42:57
...which leads to two buttons which say "Submit query" in the top right of my
screen while noVNC is loading. The images for these buttons (clipboard and
disconnect, fwiw) are later fetched and displayed.

This issue is aggravated by the slow Solaris server which makes loading times
much longer, but it's not hard to imagine real-world cases where you'd have a
slow connection.
------- Comment #1 From cendio 2014-03-26 14:43:43 -------
Created an attachment (id=517) [details]
Here's how it looks
------- Comment #2 From cendio 2014-03-26 15:27:46 -------
fixed upstream:
https://github.com/kanaka/noVNC/commit/23817e151651a978648b6320ed9d69e0bc5bb7ff
------- Comment #3 From cendio 2014-03-26 15:52:54 -------
Fixed in revision 28725.
------- Comment #4 From cendio 2014-03-27 14:17:38 -------
Build 4304: Buttons no longer say 'submit query', that's good enough for me.